<?php
namespace Teknisa\CTB\Factories;

use Doctrine\ORM\EntityManager;

class Ger17900LucroPresumidoFactory{

  protected $connection;

  public function __construct(EntityManager $entityManager) {
    $this->connection = $entityManager->getConnection();
  }
  
  public function verificaRegy672Empr($params) {
    $sql = "SELECT 1 FROM REGY672EMPR WHERE NRSEQY672 = :NRSEQY672 AND CDEMPRESA = :CDEMPRESA AND DTREFERENCIA = :DTREFERENCIA AND NRORG = :NRORG";
    $std = $this->connection->prepare($sql);
    $std->execute($params);
    return $std->fetch();
  }
  
  public function verificaRegy672Contctbl($params) {
    $sql = "SELECT 1 FROM CONTAY672ECF WHERE CDCONTCTBL = :CDCONTCTBL AND NRSEQY672EMPR = :NRSEQY672EMPR AND NRORG = :NRORG";
    $std = $this->connection->prepare($sql);
    $std->execute($params);
    return $std->fetch();
  }
  
  public function deleteRegy672Children($nrseqy672empr) {
    $sql = "DELETE FROM CONTAY672ECF WHERE NRSEQY672EMPR = :P_NRSEQY672EMPR";
    $std = $this->connection->prepare($sql);
    $params = array("P_NRSEQY672EMPR" => $nrseqy672empr);
    $std->execute($params);
  }
  
  public function deleteRegy672Empr($NRSEQUENCIAL) {
    $sql = "DELETE FROM REGY672EMPR WHERE NRSEQUENCIAL = :P_NRSEQUENCIAL";
    $std = $this->connection->prepare($sql);
    $params = array("P_NRSEQUENCIAL" => $NRSEQUENCIAL);
    $std->execute($params);
  }
  
  
  
  
  
}