<?php
namespace Teknisa\CTB\Factories;

use Doctrine\ORM\EntityManager;

class Ctb17000ImplantacaoSaldoFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function getVdImplantSaldo($parameters){
        $sql = "SELECT 1 FROM IMPLANTSALDO WHERE CDEMPRESA = :P_CDEMPRESA AND CDCONTCTBL = :P_CDCONTCTBL AND DTIMPSALDO = :P_DTIMPSALDO AND NRORG = :P_NRORG";
        $std = $this->connection->prepare($sql);
        $std->execute($parameters);
        return $std->fetch();
    }
    
    public function Update($parameters){
        $sql = "UPDATE IMPLANTSALDO SET CDCONTCTBL = :CDCONTCTBL, VRIMPSALDO = :VRIMPSALDO WHERE NRIMPLSALDO = :OLD_NRIMPLSALDO";
        $std = $this->connection->prepare($sql);
        $std->execute($parameters);
    }
}
